package com.realnet.basicp1.Services;
import java.util.*;
import com.realnet.basicp1.Repository.FormeRepository;
import com.realnet.basicp1.Entity.Forme;

import com.realnet.basicp1.Entity.Forme_ListFilter1;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
	import org.springframework.stereotype.Service;

@Service
 public class Forme_ListFilter1Service {
@Autowired
private FormeRepository Repository;




 public   List<Forme_ListFilter1>   getlistbuilder() {
	List<Forme> list= Repository.findAll();
		ArrayList<Forme_ListFilter1> l = new ArrayList<>();
		for (Forme data : list) {
{	
Forme_ListFilter1 dummy = new Forme_ListFilter1();
			dummy.setId(data.getId());
  dummy.setName(data.getName());
	l.add(dummy);
} 
} 		
return l;}



 public   List<Forme_ListFilter1>   getlistbuilderparam( ) {
	List<Forme> list= Repository.findAll();
		ArrayList<Forme_ListFilter1> l = new ArrayList<>();
		for (Forme data : list) {
{	
Forme_ListFilter1 dummy = new Forme_ListFilter1();
			dummy.setId(data.getId());
  dummy.setName(data.getName());
	l.add(dummy);
} 
} 		
return l;}
}